WrapUtil (Gradle API 8.12.1)
Description: declaration: package: org.gradle.util, class: WrapUtil

Package org.gradle.util

# Class WrapUtil

java.lang.Object
org.gradle.util.WrapUtil

@Deprecated public class WrapUtil extends Object
Deprecated.
Will be removed in Gradle 9.0.
This class is only here to maintain binary compatibility with existing plugins.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WrapUtil()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> T[]`
  `toArray(T... items)`
  Deprecated.
  `static <T> DomainObjectSet<T>`
  `toDomainObjectSet(Class<T> type, T... items)`
  Deprecated.
  Wraps the given items in a mutable domain object set.
  `static <T> Set<T>`
  `toLinkedSet(T... items)`
  Deprecated.
  Wraps the given items in a mutable ordered set.
  `static <T> List<T>`
  `toList(Iterable<? extends T> items)`
  Deprecated.
  Wraps the given items in a mutable list.
  `static <T> List<T>`
  `toList(T... items)`
  Deprecated.
  Wraps the given items in a mutable list.
  `static <K, V> Map<K,V>`
  `toMap(K key, V value)`
  Deprecated.
  Wraps the given key and value in a mutable unordered map.
  `static <T> Set<T>`
  `toSet(T... items)`
  Deprecated.
  Wraps the given items in a mutable unordered set.
  `static <T> SortedSet<T>`
  `toSortedSet(Comparator<T> comp, T... items)`
  Deprecated.
  Wraps the given items in a mutable sorted set using the given comparator.
  `static <T> SortedSet<T>`
  `toSortedSet(T... items)`
  Deprecated.
  Wraps the given items in a mutable sorted set.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WrapUtil

    public WrapUtil()
    Deprecated.

- ## Method Details

  - ### toSet

    @SafeVarargs public static <T> Set<T> toSet(T... items)
    Deprecated.
    Wraps the given items in a mutable unordered set.

  - ### toDomainObjectSet

    @SafeVarargs public static <T> DomainObjectSet<T> toDomainObjectSet(Class<T> type, T... items)
    Deprecated.
    Wraps the given items in a mutable domain object set.

  - ### toLinkedSet

    @SafeVarargs public static <T> Set<T> toLinkedSet(T... items)
    Deprecated.
    Wraps the given items in a mutable ordered set.

  - ### toSortedSet

    @SafeVarargs public static <T> SortedSet<T> toSortedSet(T... items)
    Deprecated.
    Wraps the given items in a mutable sorted set.

  - ### toSortedSet

    @SafeVarargs public static <T> SortedSet<T> toSortedSet(Comparator<T> comp, T... items)
    Deprecated.
    Wraps the given items in a mutable sorted set using the given comparator.

  - ### toList

    @SafeVarargs public static <T> List<T> toList(T... items)
    Deprecated.
    Wraps the given items in a mutable list.

  - ### toList

    public static <T> List<T> toList(Iterable<? extends T> items)
    Deprecated.
    Wraps the given items in a mutable list.

  - ### toMap

    public static <K, V> Map<K,V> toMap(K key, V value)
    Deprecated.
    Wraps the given key and value in a mutable unordered map.

  - ### toArray

    @SafeVarargs public static <T> T[] toArray(T... items)
    Deprecated.